Bug 430889 - Dependency on specific gcc 4.1.2 version
Dependency on specific gcc 4.1.2 version
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 08:12 EST by Zdenek Kabelac
Modified: 2009-07-14 14:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-01-30 08:12:41 EST
Description of problem:

Is there something special about gcc 4.1.2 that I must have this old compiler
installed on my system ? Is the new libtool now tighten with exact GCC version ?
I'm using gcc-4.3.0-0.5.x86_64 on my system and the update cannot be done.

Version-Release number of selected component (if applicable):
libtool-1.5.24-5.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.install gcc 4.3
2.try to update to the latest libtool
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karsten Hopp 2008-01-30 08:48:34 EST
This won't work as libtool has some hardcoded paths pointing p.e. to
/usr/lib/gcc/i386-redhat-linux/4.1.2/ in its files. You need to rebuild libtool
for each major gcc update (small change in the spec file required).

Comment 2 Stepan Kasal 2008-01-31 12:00:51 EST
Libtool is most of all part of the autotools suite, which is a tool for
maintainers to build portable tarballs.  In this context, a dependency on a
particular version of compiler seems really ridiculous.

(In reply to comment #1)
> libtool has some hardcoded paths pointing p.e. to
/usr/lib/gcc/i386-redhat-linux/4.1.2/ in its files.

It is just one file, the script /usr/bin/libtool

The mere existence of this standalone script is a mistake.
[I cannot find a reference right now, but I remember a libtool maintainer has
told me this.]

When you use libtool as part of autotools, you do not use this file at all.  (It
is $(builddir)/libtool which is executed from the makefiles.)

I understand that handling /usr/bin/libtool is a problem.  This script depends
on the particular configuration of the computer at the moment when the libtool
was built/installed.

But I'm not happy with the solution which makes the libtool proper dependent on
a random version of gcc.  (This dependency can easily annoy any developer,
because developer tend to have non-standard combination of versions of things.)

There are other possible solutions:
1) patch /usr/bin/libtool so that it checks the environment when it starts, and
bails out if the reqs are not met
2) move /usr/bin/libtool to a separate package, which would require gcc-4.1.2
3) even removing /usr/bin/libtool would be a solution, fully compatible with the
Fedora tradition "Do what is right, no matter that it might be painful"  :-)
Comment 3 Stepan Kasal 2008-01-31 12:10:25 EST
Sorry, I forgot another option to fix the problem:
4) Patch the installed /usr/bin/libtool to replace the hard-coded info about the
system by runtime checks.
It is probably not possible to do this in general, but it might be possible to
add the checks whose results vary on different versions of Fedora GNU/Linux.
For now, we would just search for a directory matching
/usr/lib/gcc/*-redhat-linux/4.* instead of using the hardwired path.

I'd really like to contribute to get rid of this unfortunate Require, once the
maintainer decides which way to go.  May it be either of those I suggested or a
better one. ;-)
Comment 4 Stepan Kasal 2008-02-03 06:32:35 EST
See also the comments in bug #429880
Comment 5 Bug Zapper 2008-05-14 00:56:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 19:27:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:03:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.